Bug 1316656 - [abrt] python3-reno: main.py:114:main:AttributeError: 'Namespace' object has no attribute 'func'
[abrt] python3-reno: main.py:114:main:AttributeError: 'Namespace' object has ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-reno (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chandan Kumar
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5448fa1a923f20c1bc8da9f3435...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 12:00 EST by Eric Harney
Modified: 2016-12-20 14:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.78 KB, text/plain)
2016-03-10 12:00 EST, Eric Harney
no flags Details
File: environ (3.38 KB, text/plain)
2016-03-10 12:00 EST, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2016-03-10 12:00:44 EST
Description of problem:
$ dnf install python3-reno
$ python3-reno

(python2-reno is not installed)

Version-Release number of selected component:
python3-reno-1.3.1-2.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /usr/bin/python3-reno
executable:     /usr/bin/python3-reno
kernel:         4.4.3-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
main.py:114:main:AttributeError: 'Namespace' object has no attribute 'func'

Traceback (most recent call last):
  File "/usr/bin/python3-reno", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python3.4/site-packages/reno/main.py", line 114, in main
    return args.func(args)
AttributeError: 'Namespace' object has no attribute 'func'

Local variables in innermost frame:
subparsers: _SubParsersAction(option_strings=[], dest='==SUPPRESS==', nargs='A...', const=None, default=None, type=None, choices=OrderedDict([('new', ArgumentParser(prog='python3-reno new', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)), ('list', ArgumentParser(prog='python3-reno list', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)), ('report', ArgumentParser(prog='python3-reno report', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True))]), help=None, metavar=None)
argv: []
do_new: ArgumentParser(prog='python3-reno new', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
do_list: ArgumentParser(prog='python3-reno list', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
args: Namespace(relnotesdir='releasenotes', verbosity=20)
do_report: ArgumentParser(prog='python3-reno report', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
parser: ArgumentParser(prog='python3-reno', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
Comment 1 Eric Harney 2016-03-10 12:00:48 EST
Created attachment 1134960 [details]
File: backtrace
Comment 2 Eric Harney 2016-03-10 12:00:49 EST
Created attachment 1134961 [details]
File: environ
Comment 3 Paul Belanger 2016-03-10 12:52:53 EST
This is broken upstream too, so we should fix it there.  Basically, reno needs to display help with no arguments are found.
Comment 4 Fedora End Of Life 2016-11-24 11:01:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:22:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.